AstrologyAPI

Use access token to call astrology api.

Learn More

Varshaphal Harsha Bala

POSThttps://json.astrologyapi.com/v1/varshaphal_harsha_bala
Copy

The API varshaphal_harsha_bala calculates the different types of strengths or "bala" of a person's natal chart for a particular year. The response includes the stana bala, ucchaswachetri bala, gender bala, dinratri bala, and total bala for each of the seven planets considered in Vedic astrology.

POST/varshaphal_harsha_bala
Copy
1curl --location 'https://json.astrologyapi.com/v1/varshaphal_harsha_bala' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5,
13    "varshphal_year": 1990
14}'
15
200Response
Copy
1{
2  "stana_bala": [
3    0,
4    0,
5    0,
6    0,
7    0,
8    0,
9    0
10  ],
11  "ucchaswachetri_bala": [
12    0,
13    0,
14    0,
15    0,
16    0,
17    5,
18    0
19  ],
20  "gender_bala": [
21    5,
22    5,
23    5,
24    5,
25    5,
26    0,
27    5
28  ],
29  "dinratri_bala": [
30    5,
31    0,
32    5,
33    0,
34    5,
35    0,
36    0
37  ],
38  "total_bala": [
39    10,
40    5,
41    10,
42    5,
43    10,
44    5,
45    5
46  ]
47}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

varshphal_year

int

required

Varshphal year, eg: 1990

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.